package com.ruoyi.system.service.impl;



import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.YqszhCb;
import com.ruoyi.system.mapper.YqszhCbMapper;
import com.ruoyi.system.service.IYqszhCbService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 油气数智化-产品Service业务层处理
 *
 * @author ruoyi
 * @date 2024-10-23
 */
@Service
public class YqszhCbServiceImpl implements IYqszhCbService
{
    @Autowired
    private YqszhCbMapper yqszhCbMapper;

    /**
     * 查询油气数智化-产品
     *
     * @param id 油气数智化-产品主键
     * @return 油气数智化-产品
     */
    @Override
    public YqszhCb selectYqszhCbById(Long id)
    {
        return yqszhCbMapper.selectYqszhCbById(id);
    }

    /**
     * 查询油气数智化-产品列表
     *
     * @param yqszhCb 油气数智化-产品
     * @return 油气数智化-产品
     */
    @Override
    public List<YqszhCb> selectYqszhCbList(YqszhCb yqszhCb)
    {
        return yqszhCbMapper.selectYqszhCbList(yqszhCb);
    }


    /**
     * 修改油气数智化-产品
     *
     * @param yqszhCb 油气数智化-产品
     * @return 结果
     */
    @Override
    public int updateYqszhCb(YqszhCb yqszhCb)
    {
        yqszhCb.setUpdateTime(DateUtils.getNowDate());
        return yqszhCbMapper.updateYqszhCb(yqszhCb);
    }

    /**
     * 批量删除油气数智化-产品
     *
     * @param ids 需要删除的油气数智化-产品主键
     * @return 结果
     */
    @Override
    public int deleteYqszhCbByIds(Long[] ids)
    {
        return yqszhCbMapper.deleteYqszhCbByIds(ids);
    }

    /**
     * 删除油气数智化-产品信息
     *
     * @param id 油气数智化-产品主键
     * @return 结果
     */
    @Override
    public int deleteYqszhCbById(Long id)
    {
        return yqszhCbMapper.deleteYqszhCbById(id);
    }
}
