package com.ruoyi.system.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.YqszhCb;
import com.ruoyi.system.domain.YqszhZb;
import com.ruoyi.system.domain.YqszhZpSy;
import com.ruoyi.system.mapper.YqszhCbMapper;
import com.ruoyi.system.mapper.YqszhZbMapper;
import com.ruoyi.system.service.IYqszhZbService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * 油气数智化-分类Service业务层处理
 *
 * @author ruoyi
 * @date 2024-10-23
 */
@Service
public class YqszhZbServiceImpl implements IYqszhZbService
{
    @Autowired
    private YqszhZbMapper yqszhZbMapper;
    @Autowired
    private YqszhCbMapper yqszhCbMapper;

    /**
     * 查询油气数智化-分类列表
     *
     * @return 油气数智化-分类
     */
    @Override
    public List<YqszhZpSy> selectYqszhZbList()
    {
        List<YqszhZpSy> yqszhZpSyList = new ArrayList<YqszhZpSy>();
        List<YqszhZb> yqszhZbs = yqszhZbMapper.selectYqszhZbList();
        for(YqszhZb yqszhZb: yqszhZbs){
            YqszhZpSy yqszhZpSy = new YqszhZpSy();
            yqszhZpSy.setMc(yqszhZb.getMc());
            yqszhZpSy.setPx(yqszhZb.getPx());
            yqszhZpSy.setCplx(yqszhZb.getCplx());
            List<YqszhZb> yqszhZbs1 = yqszhZbMapper.selectZb(yqszhZb.getId());

            List<YqszhZb> yqszhZbs2 = new ArrayList<YqszhZb>();
            if(yqszhZbs1.size()>0){
                for (YqszhZb yqszhZb1:yqszhZbs1){
                    List<YqszhCb> yqszhCbs = yqszhCbMapper.selectYqszhCbByIdList(yqszhZb1.getId());
                    yqszhZb1.setChildren2(yqszhCbs);
                    yqszhZbs2.add(yqszhZb1);
                }
                yqszhZpSy.setCpChildren(yqszhZbs2);
            }else {
                List<YqszhCb> yqszhCbs = yqszhCbMapper.selectYqszhCbByIdList(yqszhZb.getId());

                yqszhZpSy.setFwlChildren(yqszhCbs);
            }



            yqszhZpSyList.add(yqszhZpSy);
        }

        return yqszhZpSyList;
    }




}
